Zum Hauptinhalt springen
GET
/
marketing
/
forms
/
2026-09-beta
/
{formId}
cURL
curl --request GET \
  --url https://api.hubapi.com/marketing/forms/2026-09-beta/{formId} \
  --header 'Authorization: Bearer <token>'
{
  "formType": "hubspot",
  "id": "<string>",
  "name": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "archived": true,
  "fieldGroups": [
    {
      "fields": [
        {
          "dependentFields": [
            {
              "dependentCondition": {
                "operator": "between",
                "rangeEnd": "<string>",
                "rangeStart": "<string>",
                "value": "<string>",
                "values": [
                  "<string>"
                ]
              },
              "dependentField": "<unknown>"
            }
          ],
          "fieldType": "email",
          "hidden": true,
          "label": "<string>",
          "name": "<string>",
          "objectTypeId": "<string>",
          "required": true,
          "validation": {
            "blockedEmailDomains": [
              "<string>"
            ],
            "useDefaultBlockList": true
          },
          "defaultValue": "<string>",
          "description": "<string>",
          "placeholder": "<string>"
        }
      ],
      "groupType": "default_group",
      "richTextType": "image",
      "richText": "<string>"
    }
  ],
  "configuration": {
    "allowLinkToResetKnownValues": true,
    "archivable": true,
    "cloneable": true,
    "createNewContactForNewEmail": true,
    "editable": true,
    "language": "af",
    "lifecycleStages": [
      {
        "objectTypeId": "<string>",
        "value": "<string>"
      }
    ],
    "notifyContactOwner": true,
    "notifyRecipients": [
      "<string>"
    ],
    "postSubmitAction": {
      "type": "redirect_url",
      "value": "<string>"
    },
    "prePopulateKnownValues": true,
    "recaptchaEnabled": true,
    "embedType": "V3"
  },
  "displayOptions": {
    "renderRawHtml": true,
    "style": {
      "backgroundWidth": "<string>",
      "fontFamily": "<string>",
      "helpTextColor": "<string>",
      "helpTextSize": "<string>",
      "labelTextColor": "<string>",
      "labelTextSize": "<string>",
      "legalConsentTextColor": "<string>",
      "legalConsentTextSize": "<string>",
      "submitAlignment": "center",
      "submitColor": "<string>",
      "submitFontColor": "<string>",
      "submitSize": "<string>"
    },
    "submitButtonText": "<string>",
    "theme": "canvas",
    "cssClass": "<string>"
  },
  "legalConsentOptions": {
    "type": "none"
  },
  "archivedAt": "2023-11-07T05:31:56Z"
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

formId
string
erforderlich

Abfrageparameter

archived
boolean

Whether to return only results that have been archived.

Antwort

successful operation

formType
enum<string>
Standard:hubspot
erforderlich
Verfügbare Optionen:
hubspot
id
string
erforderlich
name
string
erforderlich
createdAt
string<date-time>
erforderlich
updatedAt
string<date-time>
erforderlich
archived
boolean
erforderlich
fieldGroups
object[]
erforderlich
configuration
object
erforderlich
displayOptions
object
erforderlich
archivedAt
string<date-time>
Last modified on April 9, 2026